Get details of a single account
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-account-details \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-account-details"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"accountName": "<string>",
"accountType": "individual",
"users": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "root"
}
],
"walletDetails": {
"walletAddress": "<string>",
"isTurnkeyWallet": true,
"isSmartAccount": {
"ethereum": true,
"base": true
}
},
"createdAt": "2023-11-07T05:31:56Z",
"entityInfo": {
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>"
},
"accountBeneficiary": {
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"bankAccounts": [
{
"bankAccountId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"liquidationAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"destinationCurrency": "usd",
"destinationRail": "ach",
"bankAccountDetails": {
"country": "FRA",
"last4": "0804",
"bic": "BICFR12345"
}
}
],
"imageUrl": "<string>"
}Account management
Get details of a single account
Returns details for a specific account including name, type, wallet address, and associated entity information if applicable.
GET
/
v1
/
query
/
get-account-details
Get details of a single account
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-account-details \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-account-details"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"accountName": "<string>",
"accountType": "individual",
"users": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "root"
}
],
"walletDetails": {
"walletAddress": "<string>",
"isTurnkeyWallet": true,
"isSmartAccount": {
"ethereum": true,
"base": true
}
},
"createdAt": "2023-11-07T05:31:56Z",
"entityInfo": {
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>"
},
"accountBeneficiary": {
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"bankAccounts": [
{
"bankAccountId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"liquidationAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"destinationCurrency": "usd",
"destinationRail": "ach",
"bankAccountDetails": {
"country": "FRA",
"last4": "0804",
"bic": "BICFR12345"
}
}
],
"imageUrl": "<string>"
}Headers
Query Parameters
Response
Account details retrieved successfully

